// (C) 2026 GoodData Corporation
import { isNumberParameterDefinition } from "@gooddata/sdk-model";
export async function loadDashboardParameters({ backend, workspace, }) {
    const firstPage = await backend.workspace(workspace).parameters().getParametersQuery().query();
    const all = await firstPage.all();
    return all.filter((parameter) => isNumberParameterDefinition(parameter.definition));
}
